Skip to main content
POST
Get Tasks

Authorizations

X-DOMO-Developer-Token
string
header
required

Domo Developer Token for authentication

Query Parameters

render
boolean
renderParts
string

Comma-separated list of parts to render

Body

application/json

Filters to apply when retrieving tasks. All properties are optional

queueId
string[]

An array of queue ids.

displayType
string[]

An array of display types for tasks. Options are ENIGMA_FORM, EMAIL, UNKNOWN.

status
string[]

An array of statuses. Options are OPEN, COMPLETED, VOIDED.

assignedBy
string[]

An array of user ids corresponding to the user that assigned the task to.

assignedTo
string[]

An array of user ids corresponding to the user that the task was assigned to.

createdOn
string<date-time>[][]

Array containing date range [start, end] for createdOn

Example:
createdBy
string[]

An array of user ids corresponding to the user that created the task.

assignedOn
string<date-time>[][]

An array containing an array with two elements a start datetime and and end datetime, which define the assigedOn date range.

updatedOn
string<date-time>[][]

An array containing an array with two elements a start datetime and and end datetime, which define the updatedOn date range.

completedOn
string<date-time>[][]

An array containing an array with two elements a start datetime and and end datetime, which define the completedOn date range.

completedBy
string[]

An array of user ids corresponding to the user that completed the task.

orderByString
string[]

An array of strings corresponding to the properties from this body that the list of tasks should be ordered by.

version
string[]

Array of version numbers to filter by

Response

List of tasks